/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Condition.hpp"

Condition::Condition() : m_attack(false), m_jump(false), m_move(false)
{

}

void Condition::setAttack(bool attack)
{
    m_attack = attack;
}

bool Condition::isAttacking() const
{
    return m_attack;
}

void Condition::setJump(bool jump)
{
    m_jump = jump;
}

bool Condition::isJumping() const
{
    return m_jump;
}

void Condition::setMove(bool move)
{
    m_move = move;
}

bool Condition::isMoving() const
{
    return m_move;
}